timeflag=timeflag+1;
myclock{timeflag}=fix(clock);
if timeflag>1
mytime1=etime(myclock{timeflag},myclock{timeflag-1});
mytime2=etime(myclock{timeflag},myclock{1});
fprintf('\nThis process takes %d sec; Total time %d sec\n',mytime1,mytime2);
end;
